import request from '@/utils/request'

// 产品规格
export function specList(query) {
    return request({
      url: '/spec/list',
      method: 'get',
      params: query
    })
  }
  
  /* 添加产品规格 */

  export function addSpec(data) {
    return request({
      url: '/spec/add',
      method: 'post',
      data
    })
  }

  /* 编辑产品规格 */
  export function updateSpec(data) {
    return request({
      url: '/spec/update',
      method: 'post',
      data
    })
  }

  /* 删除规格 */
  export function deleteSpec(data) {
    return request({
      url: `/spec/delete/${data}`,
      method: 'get'
    })
  }